unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Db, DBTables, qrprntr, QRExport, ExtCtrls;

type
  TfrmCustomMain = class(TForm)
    btnPreview: TButton;
    cbPreview: TComboBox;
    tbCustomer: TTable;
    cbPrint: TCheckBox;
    QRTextFilter1: TQRTextFilter;
    QRCSVFilter1: TQRCSVFilter;
    QRHTMLFilter1: TQRHTMLFilter;
    QRRTFFilter1: TQRRTFFilter;
    QRExcelFilter1: TQRExcelFilter;
    QRWMFFilter1: TQRWMFFilter;
    DataSource1: TDataSource;
    tbOrders: TTable;
    Image2: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label5: TLabel;
    Description: TMemo;
    cbRender: TCheckBox;
    procedure cbPreviewChange(Sender: TObject);
    procedure btnPreviewClick(Sender: TObject);
    procedure cbPrintClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure cbRenderClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCustomMain: TfrmCustomMain;

implementation

uses prev2_32, rpt1;

{$R *.DFM}

procedure TfrmCustomMain.cbPreviewChange(Sender: TObject);
begin
  // When you use the RegisterPreviewClass() function, it
  // registers that preview class as the default preview.
  case cbPreview.ItemIndex of
    1: RegisterPreviewClass(TQRMDIPreviewInterface);
  else
    RegisterPreviewClass(TQRStandardPreviewInterface);
  end;
  cbPrint.Enabled := cbPreview.ItemIndex > 0;
  cbRender.Enabled := cbPreview.ItemIndex > 0;
end;

procedure TfrmCustomMain.btnPreviewClick(Sender: TObject);
begin
  with Tfrmrpt1.create(application) do begin
    quickrep1.preview;
  end;
end;

procedure TfrmCustomMain.cbPrintClick(Sender: TObject);
begin
  // Set some options
  prev2_32.CanPrint := cbPrint.Checked;
  cbRender.Enabled := cbPrint.Checked;
end;

procedure TfrmCustomMain.FormCreate(Sender: TObject);
begin
  cbPreview.ItemIndex := 1;
  cbPreviewChange(Sender);
end;

procedure TfrmCustomMain.cbRenderClick(Sender: TObject);
begin
  // Set some options
  prev2_32.PrintPreviewImage := cbRender.Checked;
end;

end.
